---
title: local-name
slug: Web/XPath/Functions/local-name
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>local-name</code> function returns a string representing the local name of the first node in a given node-set.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">local-name( [<em>node-set</em>] )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><code><em>node-set</em></code> (optional)</dt>
 <dd>The local name of the first node in this node-set will be returned. If this argument is omitted, the current context node will be used.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A string.</p>

<h3 id="Notes">Notes</h3>

<ul>
 <li>The local name is the local part of an <a class="external" href="http://www.w3.org/TR/xpath#dt-expanded-name">expanded-name</a>.</li>
</ul>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-local-name">XPath 1.0 4.1</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
